﻿using System;
using System.Collections.Generic;
using System.Linq;
using Grasshopper.Kernel;
using Grasshopper.Kernel.Types;
using Rhino.Geometry;

namespace Speed
{
    public class SpeedComponent : GH_Component
    {
        public SpeedComponent()
          : base("Speed", "Nickname",
              "Description",
              "Category", "Subcategory")
        {
        }
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            pManager.AddNumberParameter("x", "x", "x", GH_ParamAccess.list);
            pManager.AddNumberParameter("y", "y", "y", GH_ParamAccess.item);
        }
        protected override void RegisterOutputParams(GH_Component.GH_OutputParamManager pManager)
        {
            pManager.AddNumberParameter("A", "A", "A", GH_ParamAccess.list);
        }
        protected override void SolveInstance(IGH_DataAccess DA)
        {
            var x = new List<double>();
            DA.GetDataList(0, x);
            var y = double.NaN;
            DA.GetData(1, ref y);
            var result = x.Select(number => new GH_Number(number + y));
            DA.SetDataList(0, result);
        }
        protected override System.Drawing.Bitmap Icon => null;
        public override Guid ComponentGuid => new Guid("abe88c6d-f5f8-4709-bd8b-bf0b1ee8dd9c");
    }
}
